'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildFormData = buildFormData;

var _lodash = require('lodash');

function arrayHasFile(arr) {
  return !!arr.find(function (val) {
    return val instanceof File;
  });
}
function buildFormData(data) {
  var formData = new FormData();
  var hasFile = false;

  (0, _lodash.forEach)(data, function (val, attr) {
    hasFile = hasFile || val instanceof File;

    if ((0, _lodash.isArray)(val)) {
      hasFile = hasFile || arrayHasFile(val);
      return formData.append(attr + '[]', val);
    }

    if (!(0, _lodash.isNull)(val)) formData.append(attr, val);
  });

  return { hasFile: hasFile, formData: formData };
}